Subject: Re: next-20160225 build: 2 failures 44 warnings (next-20160225)

From: Thomas Petazzoni <thomas.petazzoni-wi1+55ScJUtKEb57/[email-masked]>
Date: Sat, 27 Feb 2016 15:40:28 +0100

Mark,

On Fri, 26 Feb 2016 21:12:20 +0900, Mark Brown wrote:

> > Another solution would be to provide an implementation of
> > atomic_io_modify() on arm64, though that would need the ACK from the
> > ARM64 maintainers.
> 
> It also sounds like a more modern solution might be to use syscon for
> the shared register, but perhaps I'm missing something about how the IP
> is set up so ICBW.

I think back when we implemented this, syscon/simple-mfd was
not available or widely used - I don't really remember. We could indeed
try to switch to a syscon based solution.

Thanks,

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com
--
To unsubscribe from this list: send the line "unsubscribe linux-watchdog" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html